For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
      • GETGet custom lists
      • POSTCreate a custom list
      • GETGet a custom list
      • PATCHUpdate a custom list
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Bot Defender APICustom Lists

Update a custom list

PATCH
/v1/botDefender/customLists/:listId
PATCH
/api/v1/botDefender/customLists/:listId
$curl -X PATCH https://console.humansecurity.com/api/v1/botDefender/customLists/64f8b12345678901234567ab \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "result": true,
3 "message": "success",
4 "content": [
5 {
6 "_id": "64f8b12345678901234567ab",
7 "account_id": "642be969c2186cae012347b8",
8 "name": "Suspicious Users Blocklist",
9 "status": "active",
10 "created_by": "admin@humansecurity.com",
11 "created_at": "2023-09-01T10:00:00Z",
12 "updated_at": "2023-09-01T15:30:00Z",
13 "updated_by": "admin@humansecurity.com",
14 "size": 150,
15 "description": "List of users flagged for suspicious activity",
16 "usedBy": [
17 {
18 "rule_id": "d668491a-f8f8-4b92-a280-c437b4411e0e",
19 "name": "Blocklist Rule",
20 "status": "active"
21 }
22 ],
23 "last_inserted_time": "2023-09-01T14:00:00Z"
24 }
25 ]
26}
Update name, description, or status of an existing custom list by its ID.
Was this page helpful?
Previous

Get custom list identifiers

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

listIdstringRequiredformat: "^[0-9a-fA-F]{24}$"
The unique identifier of the custom list

Request

This endpoint expects an object.
namestringOptional
Updated name of the custom list
descriptionstringOptional
Updated description of the custom list
statusenumOptional
Updated status of the custom list
Allowed values:

Response

Custom list updated successfully
resultboolean
Indicates if the request was successful
messagestring
Response message
contentlist of objects
Array containing the updated custom list

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error